module Acl::Entity
  # Returns `true` if the *group* is owned by the `Entity`, else `false`
  abstract def has_role?(role : String) : Bool

  # Returns the list of the group names of the `Entity`
  abstract def roles : Array(String)
end

